<?php

namespace BWDK\Core;

use BWDK\Support\Activate;
use BWDK\Support\Constant;
use BWDK\Support\WooCompatibility;
use \BWDK\Shortcodes\Thankyou;


class Plugin
{
    public function run(): void
    {

        (new Constant());
        (new RequirementsChecker())->check();
        (new ServiceProvider())->register();


        add_action('init', [$this, 'init']);
    }

    public function init(): void
    {

    }
}
